# $Revision: 1.149 $, $Date: 2010/11/17 08:00:33 $
#
# TODO:	- separate libs subpackage, current scheme conflicts on multilib
# shouldn't be a problem:
# - rsvg script doesn't differ
# - rsvg-{convert,view} are ELF binaries with proper colors in rpm, so should be handled properly
#
# Conditional build
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	libgsf		# build without libgsf (used for run-time decompression)
%bcond_without	libcroco	# build without CSS support through libcroco
%bcond_without	static_libs	# don't build static library
#
Summary:	A Raph's Library for Rendering SVG Data
Summary(pl.UTF-8):	Biblioteka Raph's SVG do renderowania danych SVG
Summary(pt_BR.UTF-8):	Biblioteca SVG
Summary(ru.UTF-8):	SVG библиотека
Summary(uk.UTF-8):	SVG бібліотека
Name:		librsvg
Version:	2.32.1
Release:	1
Epoch:		1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/librsvg/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	4b00d0fee130c936644892c152f42db7
URL:		http://librsvg.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	glib2-devel >= 1:2.24.0
BuildRequires:	gtk+2-devel >= 2:2.16.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.13}
%{?with_apidocs:BuildRequires:	gtk-doc-automake}
%{?with_libcroco:BuildRequires:	libcroco-devel >= 0.6.1}
%{?with_libgsf:BuildRequires:	libgsf-devel >= 1.14.4}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	gdk-pixbuf2
Requires:	gdk-pixbuf2 >= 2.0
Requires:	glib2 >= 1:2.24.0
Requires:	gtk+2 >= 2:2.16.0
%{?with_libcroco:Requires:	libcroco >= 0.6.1}
%{?with_libgsf:Requires:	libgsf >= 1.14.4}
Requires:	libxml2 >= 1:2.6.31
Obsoletes:	browser-plugin-librsvg
Obsoletes:	librsvg0
Obsoletes:	mozilla-plugin-rsvg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# see gtk+2.spec for source of these ifdefs
%if "%{_lib}" != "lib"
%define         libext          %(lib="%{_lib}"; echo ${lib#lib})
%define         pqext           -%{libext}
%else
%define         pqext           %{nil}
%endif

%description
An library to render SVG (scalable vector graphics), databased upon
libart.

%description -l pl.UTF-8
Biblioteka do renderowania SVG (skalowalnej grafiki wektorowej) oparta
na kodzie libart.

%description -l ru.UTF-8
Библиотека SVG, базирующаяся на libart.

%description -l uk.UTF-8
Бібліотека SVG, базована на libart.

%package devel
Summary:	Include files for developing with librsvg
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia oprogramowania z użyciem librsvg
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para desenvolvimento com a librsvg
Summary(ru.UTF-8):	Библиотечные линки и файлы заголовков для разработки с librsvg
Summary(uk.UTF-8):	Бібліотечні лінки та файли заголовків для розробки з librsvg
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.24.0
Requires:	gdk-pixbuf2-devel >= 2.0
Requires:	gtk+2-devel >= 2:2.16.0
%{?with_libcroco:Requires:	libcroco-devel >= 0.6.1}
%{?with_libgsf:Requires:	libgsf-devel >= 1.14.4}
Requires:	libxml2-devel >= 1:2.6.31
Obsoletes:	librsvg0-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe potrzebne do tworzenia oprogramowania
z wykorzystaniem librsvg.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos necessários para desenvolver com base
na biblioteca librsvg.

%description devel -l ru.UTF-8
Этот пакет содержит необходимые файлы для разработки программ с
использованием librsvg.

%description devel -l uk.UTF-8
Цей пакет містить необхідні файли для розробки програм з використанням
librsvg.

%package static
Summary:	Static libraries for developing with librsvg
Summary(es.UTF-8):	Archivos estáticos necesarios para el desarrollo de aplicaciones con librsvg
Summary(pl.UTF-8):	Statyczne biblioteki librsvg
Summary(pt_BR.UTF-8):	Arquivos estáticos necessários para o desenvolvimento de aplicações com librsvg
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains static version of librsvg libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek librsvg.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para o desenvolvimento de aplicações com
librsvg.

%package apidocs
Summary:	librsvg API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki librsvg
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
librsvg API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki librsvg.

%prep
%setup -q

%if !%{with apidocs}
echo 'CLEANFILES=' > gtk-doc.make
echo 'AC_DEFUN([GTK_DOC_CHECK],[])' >> acinclude.m4
%endif

%{__sed} -e 's/gdk-pixbuf-query-loaders/gdk-pixbuf-query-loaders%{pqext}/' -i configure.in

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	%{?with_apidocs:--enable-gtk-doc} \
	%{!?with_libcroco:--without-croco} \
	%{!?with_libgsf:--without-svgz} \
	--with-html-dir=%{_gtkdocdir}/%{name}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.*/engines/*.{la,a}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf-2.0/2.*.*/loaders/*.{la,a}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/librsvg-2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
umask 022
%{_bindir}/gdk-pixbuf-query-loaders%{pqext} --update-cache || :

%postun
/sbin/ldconfig
umask 022
if [ -x %{_bindir}/gdk-pixbuf-query-loaders%{pqext} ]; then
	%{_bindir}/gdk-pixbuf-query-loaders%{pqext} --update-cache
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS NEWS
%attr(755,root,root) %{_bindir}/rsvg
%attr(755,root,root) %{_bindir}/rsvg-convert
%attr(755,root,root) %{_bindir}/rsvg-view
%attr(755,root,root) %{_libdir}/gdk-pixbuf-2.0/2.*.*/loaders/libpixbufloader-svg.so
%attr(755,root,root) %{_libdir}/gtk-2.0/2.*/engines/libsvg.so
%attr(755,root,root) %{_libdir}/librsvg-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librsvg-2.so.2
%{_datadir}/themes/bubble
%{_mandir}/man1/rsvg.1*
%{_pixmapsdir}/svg-viewer.svg

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librsvg-2.so
%{_pkgconfigdir}/librsvg-2.0.pc
%{_includedir}/librsvg-2.0

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/librsvg-2.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: librsvg.spec,v $
Revision 1.149  2010/11/17 08:00:33  qboosh
- comment on separation (no need to create lib-libs-reallyonlylibs subpackages everywhere)

Revision 1.148  2010/11/16 18:07:18  megabajt
- updated to 2.32.1

Revision 1.147  2010/11/14 13:14:05  gotar
- removed .la, package is pc-enabled,
- what was that 'exit 0' in %post? replaced with || :
- sorted, libraries need to be separated for multilib

Revision 1.146  2010/10/13 19:00:12  qboosh
- gdk-pixbuf2 deps

Revision 1.145  2010/09/28 07:12:16  megabajt
- fixed build on x86_64
- release 2

Revision 1.144  2010/09/27 21:17:53  megabajt
- updated to 2.32.0

Revision 1.143  2010/05/01 13:18:52  megabajt
- updated to 2.26.3

Revision 1.142  2010/04/01 13:28:36  megabajt
- updated to 2.26.2

Revision 1.141  2010/04/01 11:38:49  megabajt
- updated to 2.26.1

Revision 1.140  2010/01/28 17:29:29  megabajt
- %{__gtkdocize}
- release 3

Revision 1.139  2009/11/28 01:35:29  sparky
- BR: docbook-dtd412-xml

Revision 1.138  2009/06/17 15:02:00  hawk
- release 2

Revision 1.137  2009/03/16 17:44:51  megabajt
- updated to 2.26.0

Revision 1.136  2008/11/07 01:35:28  pluto
- release 2 for rebuild.

Revision 1.135  2008/09/25 18:29:45  megabajt
- updated to 2.22.3

Revision 1.134  2008/09/15 19:37:22  qboosh
- R(): ldconfig

Revision 1.133  2008/09/14 12:43:00  charles
- cleanups

Revision 1.132  2008/09/14 12:29:07  charles
- fixed build without apidocs
- without static_libs bcond

Revision 1.131  2008/07/25 19:50:17  arekm
- rel 2; fix 32 vs 64 bit issue

Revision 1.130  2008-03-12 00:29:16  patrys
- 2.22.2
- merged from DEVEL

Revision 1.129.2.4  2008-03-12 00:28:20  patrys
- require stable glib2

Revision 1.129.2.3  2008-03-04 17:52:31  megabajt
- updated to 2.22.2

Revision 1.129.2.2  2008-02-25 17:37:05  megabajt
- updated to 2.22.1

Revision 1.129.2.1  2008-02-21 19:25:57  megabajt
- updated to 2.22.0 (it's stable, but requires unstable glib2)
- added X11 to Groups
- now it doesn't depend on gnome-vfs2 and libgnomeprint
- removed not used gnomeprint,gnomevfs,gnome bconds

Revision 1.129  2008-01-19 17:15:06  megabajt
- updated to 2.20.0

Revision 1.128  2008-01-03 18:18:17  qboosh
- formatting, removed bogus pt_BR desc

Revision 1.127  2007-12-15 21:18:42  megabajt
- added apidocs subpackage
- release 2

Revision 1.126  2007-08-29 19:48:54  megabajt
- updated to 2.18.2

Revision 1.125  2007/08/26 23:23:08  qboosh
- updated to 2.18.1

Revision 1.124  2007/07/31 18:31:49  qboosh
- added gnome bcond alias (gnomeprint+gnomevfs) for convenience

Revision 1.123  2007/07/26 09:13:45  megabajt
- updated to 2.18.0

Revision 1.122  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.121  2007/02/12 00:49:04  baggins
- converted to UTF-8

Revision 1.120  2006/11/19 19:29:46  qboosh
- updated to 2.16.1
- popt no longer used

Revision 1.119  2006/09/18 08:19:17  wolf
- BR gtk-doc-automake

Revision 1.118  2006/09/09 18:21:11  qboosh
- O: mozilla-plugin-rsvg

Revision 1.117  2006/09/09 18:17:43  qboosh
- don't build mozilla plugin

Revision 1.116  2006/08/31 19:36:30  grzegol
- 2.16.0

Revision 1.115  2006/08/29 09:00:54  havner
- dont BC gnomeprint, there is configure switch for it

Revision 1.114  2006/08/29 08:45:41  havner
- dropped mozilla plugin remains

Revision 1.113  2006/08/08 21:10:22  freetz
- rel.2

Revision 1.112  2006/07/27 18:54:40  freetz
- remove cruft

Revision 1.111  2006/07/27 18:18:26  freetz
- 2.15.90, remove LDFLAGS

Revision 1.110  2006/07/12 18:35:20  freetz
- rel.3, updated deps, --as-needed support

Revision 1.109  2006/07/09 16:26:23  pluto
- release 2 for kill libpng12.la deps.

Revision 1.108  2006/06/07 09:43:48  freetz
- 2.15.0, dropped mozilla plugin (every recent gecko-based browser provides
  svg displaying support), bleeding edge deps

Revision 1.107  2006/05/19 09:57:47  qboosh
- updated pl

Revision 1.106  2006/05/15 16:51:51  freetz
- 2.14.4

Revision 1.105  2006/05/14 17:31:43  blues
- pl, not en

Revision 1.104  2006/05/14 13:59:17  blues
- typo

Revision 1.103  2006/05/14 13:58:29  blues
- release 2 - browser plugin support merged from AC-branch

Revision 1.102  2006/04/02 21:29:46  qboosh
- removed indirect X deps (all are required by gtk+2-devel; the only one used by
  librsvg configure is libX11, which is required by gtk+2-devel anyway

Revision 1.101  2006/04/02 06:35:00  freetz
- cleanup

Revision 1.100  2006/04/01 20:46:02  freetz
- merged from DEVEL

Revision 1.99.2.12  2006/04/01 20:41:38  freetz
- 2.14.3

Revision 1.99.2.11  2006/03/19 17:29:39  freetz
- rel.2 for rebuild with libgsf 1.14.0

Revision 1.99.2.10  2006/03/11 19:54:17  freetz
- require libcroco >= 0.6.1

Revision 1.99.2.9  2006/03/11 19:20:48  freetz
- 2.14.2

Revision 1.99.2.8  2006/03/09 18:05:00  freetz
- added BR: rpm-pythonprov for rsvg python wrapper
  (suggested by Caleb Maclennan pld at chiefworks com)

Revision 1.99.2.7  2006/02/28 15:04:12  freetz
- 2.14.1

Revision 1.99.2.6  2006/02/25 20:46:20  freetz
- 2.14.0

Revision 1.99.2.5  2006/02/11 20:36:19  freetz
- 2.13.93

Revision 1.99.2.4  2006/02/06 18:40:33  freetz
- 2.13.92, switched to modular xorg

Revision 1.99.2.3  2006/02/04 16:24:50  freetz
- 2.13.90

Revision 1.99.2.2  2006/01/22 22:34:35  freetz
- dropped libart_gpl BR

Revision 1.99.2.1  2006/01/22 22:29:43  freetz
- 2.13.5

Revision 1.99  2005/12/02 11:39:12  adgor
- apidocs bcond

Revision 1.98  2005/10/30 11:50:18  freetz
- rel.3 (fixed)

Revision 1.97  2005/10/30 11:18:28  freetz
- missing libxml2 epoch

Revision 1.96  2005/10/29 21:32:41  freetz
- updated BRs/Rs versions to find out what's wrong here (test build)
  (NOTE: it's broken: displays black squres instead of svgs - my local
  build works perfectly)

Revision 1.95  2005/10/10 15:15:11  freetz
- rel.2 for rebuild with new libgsf (soname change)

Revision 1.94  2005/10/09 08:17:39  freetz
- 2.12.7

Revision 1.93  2005/10/07 12:40:26  freetz
- 2.12.6

Revision 1.92  2005/10/06 18:11:53  freetz
- happy 2.12.5 release

Revision 1.91  2005/10/04 07:44:18  paladine
- updated to 2.12.4
- added todo

Revision 1.90  2005/09/30 14:05:53  freetz
- 2.12.3

Revision 1.89  2005/09/28 21:59:03  freetz
- 2.12.2

Revision 1.88  2005/09/15 18:07:44  freetz
- 2.12.0

Revision 1.87  2005/08/30 06:53:12  paladine
- updated to 2.11.1

Revision 1.86  2005/08/27 10:01:34  qboosh
- unified

Revision 1.85  2005/08/27 02:04:54  aredridel
- up to 2.11.0

Revision 1.84  2005/03/20 21:43:18  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.83  2005/03/09 20:58:04  paladine
- merged from DEVEL
- proper license

Revision 1.82.2.1  2005/02/06 23:05:44  grzegol
- updated to 2.9.5

Revision 1.82  2004/12/11 00:02:57  ankry
- rel. 3

Revision 1.81  2004/11/16 14:32:18  havner
- rel 2

Revision 1.80  2004/11/16 14:24:42  qboosh
- -devel R: gnome-vfs2-devel if built with gnomevfs

Revision 1.79  2004/10/09 10:04:59  adgor
- wo mozilla bcond

Revision 1.78  2004/09/12 19:46:40  grzegol
- updated to 2.8.1

Revision 1.77  2004/09/05 18:42:49  qboosh
- added bcond_without gnomeprint

Revision 1.76  2004/09/03 20:53:14  grzegol
- morged 2.8.0 from DEVEL

Revision 1.75  2004/05/15 00:56:11  jpc
- maybe this will revert what I have broken

Revision 1.74.2.6  2004/09/03 11:21:58  grzegol
- updated to 2.8.0
- removed outdated mozilla patch

Revision 1.74.2.5  2004/07/01 16:33:19  jpc
- I forgot to add my patch but now we've got a new one, removed

Revision 1.74.2.4  2004/07/01 12:53:23  grzegol
- added mozilla patch (fix checking for mozilla in configure.in)
- uncommented mozilla subpackage
- commented out ac patch - no such patch in repo
- added without_gnomevfs bcond and BR: gnome-vfs2-devel
- added BR: libgnomeprintui-devel
- rel. 1

Revision 1.74.2.3  2004/06/11 20:13:13  freetz
- 2.7.2 - just started upgrading, evil "mozilla-config" stuff to fix
  (pkgconfig replacement in configure.in?)

Revision 1.74.2.2  2004/05/15 17:22:00  qboosh
- pl desc for plugin

Revision 1.74.2.1  2004/05/15 00:57:11  jpc
- seems to work (rel 1)

Revision 1.74  2004/05/15 00:42:08  jpc
- up to 2.7.1
- now with mozilla plugin

Revision 1.73  2004/05/07 12:03:19  grzegol
- readded Requires to -devel subpackage

Revision 1.72  2004/05/01 13:34:59  grzegol
- updated to 2.6.5, removed not needed Rs

Revision 1.71  2004/04/10 20:12:11  arekm
- rel2; rebuild with new libcroco; averne, again doing your job

Revision 1.70  2004/03/31 12:54:41  grzegol
- updated to 2.6.4

Revision 1.69  2004/03/23 11:40:47  qboosh
- merged DEVEL, revised deps
- base docs to base, remove obsolete ac macro

Revision 1.67.2.10  2004/03/19 07:33:14  aflinta
- up to version 2.6.3

Revision 1.67.2.9  2004/03/18 06:13:19  aflinta
- up to version 2.6.2

Revision 1.67.2.8  2004/03/17 01:32:11  grzegol
- rel. 3 to rebuild with gtk+2-2.4.0

Revision 1.67.2.7  2004/03/16 22:19:46  aflinta
- release 2 to rebuild with libcroco 0.5.0

Revision 1.67.2.6  2004/03/12 08:56:26  qboosh
- fixed epoch in -static

Revision 1.67.2.5  2004/03/12 08:26:24  aflinta
- fixed epoch in devel subpackage

Revision 1.67.2.4  2004/03/12 08:21:50  aflinta
- ups, version 2.7.0 seems to be accidentally released, stay wit 2.6.x series, up to version 2.6.1, Epoch 1

Revision 1.67.2.3  2004/03/10 06:59:42  aflinta
- up to version 2.7.0

Revision 1.67.2.2  2004/03/08 17:39:25  grzegol
- updated to 2.6.0
- removed gimp bcond (gimp plugin was removed from librsvg sources)
- build with libcroco by default (changed bcond)
- rebuild lt/al/ac/am
- enabled gtk-doc
- strict internal deps

Revision 1.67.2.1  2003/12/08 16:44:21  wiget
- 2.5.0

Revision 1.67  2003/11/30 23:10:17  krzak
- update URL

Revision 1.66  2003/10/14 16:29:53  qboosh
- bzip2-devel dependency moved to proper place (libgsf-devel)

Revision 1.65  2003/10/13 19:51:06  tiwek
- added missing BR bzip2-devel

Revision 1.64  2003/10/06 20:48:17  qboosh
- post/postun deps, umask where needed

Revision 1.63  2003/10/06 17:57:53  freetz
- now it really works (updated post postun with gdk-pixbuf stuff)
- rel. bumped to 3

Revision 1.62  2003/10/06 11:25:15  wiget
- don't build gimp plugin by default (gimp.spec now includes improved version)
- release 2

Revision 1.61  2003/10/04 00:25:34  qboosh
- fixed typo in link patch, now builds with libcroco
- new bconds, added bcond for libcroco (off by default - libcroco causes
  GNOME dependency by default, it should be eliminated first)

Revision 1.60  2003/09/10 11:36:48  trojan
- added BuildConflict: libcroco-devel

Revision 1.59  2003/09/08 19:06:04  grzegol
- typo

Revision 1.58  2003/09/08 18:49:14  grzegol
- updated to 2.4.0

Revision 1.57  2003/08/28 22:10:20  grzegol
- rel. 4 to rebuild with gimp-1.3.19

Revision 1.56  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.55  2003/08/11 13:30:02  grzegol
- rel. 3 to rebuild with gimp-1.3.18

Revision 1.54  2003/08/01 21:15:51  qboosh
- use default gimptool

Revision 1.53  2003/07/25 16:38:09  grzegol
- rel. 2 to rebuild with gimp-1.3.17

Revision 1.52  2003/07/16 22:47:49  qboosh
- updated link patch (for libgsf and libcroco)
- added libgsf deps (with bconds - it's optional, on by default)
- added deps to -devel

Revision 1.51  2003/07/15 13:47:17  aflinta
- version 2.3.1

Revision 1.50  2003/06/27 20:22:14  grzegol
- rel. 3 to rebuild with gimp-1.3.16

Revision 1.49  2003/06/24 14:58:04  aflinta
 typo

Revision 1.48  2003/06/24 14:17:17  aflinta
- disabled librsvg for ppc

Revision 1.47  2003/06/24 11:13:50  aflinta
- failed to build gimp plugin on ppc - don't know why

Revision 1.46  2003/06/18 13:18:25  qboosh
- no *.la for gtk engines and loaders

Revision 1.45  2003/06/13 20:05:04  grzegol
- rel. 2 to rebuild with gimp-1.3.15

Revision 1.44  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.43  2003/05/25 05:50:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.42  2003/04/08 07:54:39  aflinta
- updated to version 2.3.0

Revision 1.41  2003/03/23 15:07:20  qboosh
- use gimp-config to get gimp plugins path

Revision 1.40  2003/03/21 08:58:16  aflinta
- added gimp-svg plugin

Revision 1.39  2003/03/21 07:55:32  aflinta
- updated to version 2.2.5

Revision 1.38  2003/03/10 20:38:14  aflinta
- updated to version 2.2.4

Revision 1.37  2003/02/05 08:21:49  trojan
- updated to 2.2.3

Revision 1.36  2003/02/03 13:53:17  trojan
- updated to 2.2.2.1

Revision 1.35  2003/01/27 18:41:18  aflinta
- updated to version 2.2.1

Revision 1.34  2003/01/20 20:28:45  aflinta
- updated to version 2.2.0

Revision 1.33  2003/01/15 09:35:25  trojan
- fixed %%files (no need 755 for *.la)

Revision 1.32  2003/01/13 22:15:00  aflinta
- updated to version 2.1.5

Revision 1.31  2003/01/06 19:31:46  aflinta
- updated to version 2.1.3

Revision 1.30  2002/12/24 01:29:25  wrobell
- fixed build and install requirements (gtk+2 introduced new directory
  structure)
- rel. 4

Revision 1.29  2002/12/18 13:23:46  wrobell
- updated build requirements
- rel. 3

Revision 1.28  2002/12/17 20:22:05  grzegol
- added BR: libart_lgpl-devel

Revision 1.27  2002/12/04 20:09:35  aflinta
- moved from /usr/X11R6 to /usr, release 2

Revision 1.26  2002/11/25 20:27:55  aflinta
- updated to version 2.1.2

Revision 1.25  2002/11/03 14:42:25  qboosh
- removed static modules and directories belonging to gtk+
- added link patch to fix library linking
- libtoolize to fix libtool (required librsvg already intalled - relink problem)
- added rsvg program, release 3

Revision 1.24  2002/10/24 11:20:37  qboosh
- removed duplicate -devel pl description

Revision 1.23  2002/10/24 11:12:24  malekith
- marged DEVEL branch
- version 2.1.1, release 2

Revision 1.20.2.7  2002/10/14 14:29:09  aflinta
- updated to version 2.1.1

Revision 1.20.2.6  2002/09/29 19:33:49  grzegol
- fixed %%files
- rel. 2

Revision 1.20.2.5  2002/09/27 23:51:51  aflinta
- updated to version 2.1.0

Revision 1.20.2.4  2002/08/16 01:19:53  wolf
- better pl desc

Revision 1.20.2.3  2002/08/15 02:27:55  michuz
- updated to 2.0.1

Revision 1.20.2.2  2002/06/23 12:35:19  aflinta
- updated to version 2.0.0

Revision 1.20.2.1  2002/04/26 21:17:05  michuz
- update to 1.1.6

Revision 1.22  2002/05/25 10:24:27  kloczek
- merge translations from KSI.

Revision 1.21  2002/05/09 19:50:27  qboosh
- fixed buggy descriptions, release 3

Revision 1.20  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/26 06:50:11  kloczek
- release 2,
- librsvg{,-devel} added to Obsoletes for allow upgrade from MDK,
- merged translations from Conectiva.

Revision 1.18  2002/01/26 03:55:52  kloczek
- updated to 1.0.3 (bugfix release).

Revision 1.17  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/10/05 23:34:10  kloczek
- updated to 1.0.2.

Revision 1.15  2001/10/05 08:40:39  kloczek
- spec adapterized.

Revision 1.14  2001/10/03 16:41:19  filon
- changed req for main subpkg in static subpkg to devel
- cosmetics in requires
- release 2

Revision 1.13  2001/07/30 17:13:00  klakier
- orto

Revision 1.12  2001/07/29 11:06:44  kloczek
- few cosmetics and improvments.

Revision 1.11  2001/07/25 14:56:09  aflinta
- removed unnecesary strip lines

Revision 1.10  2001/07/24 17:23:47  blues
- more buildrequires

Revision 1.9  2001/07/23 19:41:24  blues
- added %dir for /usr/X11R6/include/librsvg/

Revision 1.8  2001/07/22 10:44:53  waszi
- typo

Revision 1.7  2001/07/22 00:15:16  blues
- cosmetics

Revision 1.6  2001/07/21 17:23:18  blues
- terrible mistake! prefix is /usr/X11R6 not /usr

Revision 1.5  2001/07/21 17:18:11  blues
- separated static library too (tnx jajcus)

Revision 1.4  2001/07/21 17:10:09  blues
- final touch
STB

Revision 1.3  2001/07/21 16:31:20  blues
- ac/am/libtool play
- some translations

Revision 1.2  2001/07/21 15:55:14  blues
- adapterized
- URL
- some PLD-specyfic cosmetics
